summaryrefslogtreecommitdiff
path: root/tests/du/slash
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-07-09 09:59:58 +0000
committerJim Meyering <jim@meyering.net>2003-07-09 09:59:58 +0000
commit6d43a16e3f930151790141e5df90d1f6ad5040f6 (patch)
treef01f5a09b31ebbd297e4b4f8b1640cbb19dcc4c6 /tests/du/slash
parent51ceee4577b13e1118a8c75bcfe4a89841ec666b (diff)
downloadcoreutils-6d43a16e3f930151790141e5df90d1f6ad5040f6.tar.xz
New file/test for today's lib/ftw.c fix.
Diffstat (limited to 'tests/du/slash')
-rwxr-xr-xtests/du/slash35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/du/slash b/tests/du/slash
new file mode 100755
index 000000000..0676ee2f7
--- /dev/null
+++ b/tests/du/slash
@@ -0,0 +1,35 @@
+#!/bin/sh
+# `du /' would omit the `/' on the last line.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+du --exclude='[^/]*' -x / > out-t || fail=1
+sed 's/^[0-9][0-9]* //' out-t > out
+rm -f out-t
+cat <<\EOF > exp
+/
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit $fail